
# Colorize Implementation

<br>

## Default Values

| Component  | Color               | Alpha
|:----------:|:-------------------:|:-----:
| Foreground | ![Badge Foreground] | `0.75`
| Background | ![Badge Background] | `0.5`
| Warning    | ![Badge Warning]    | `1`
| Success    | ![Badge Success]    | `1`
| Accent     | ![Badge Accent]     | `1`
| Error      | ![Badge Error]      | `1`

<br>
<br>

## Overridden CSS

A specified `Color` overrides the style declaration of a component:

| Component  | Overridden Style Class
|:----------:|:----------------------
| Foreground | `ColorScheme-Text`
| Background | `ColorScheme-Background`
| Warning    | `ColorScheme-NeutralText`
| Success    | `ColorScheme-PositiveText`
| Accent     | `ColorScheme-Highlight`
| Error      | `ColorScheme-NegativeText`

<br>
<br>

## Process

1. Copies `/Icons/` directory to `/Build/`

2. Loads template

3. Removes all files except:

    - **SVG**s
    
    - `.directory`
    
    - `index.theme`
    
4. Colorizes all **SVG**s

5. Generates icon cache

<!----------------------------------------------------------------------------->

[Badge Foreground]: https://img.shields.io/badge/%23090d11-090d11?style=for-the-badge
[Badge Background]: https://img.shields.io/badge/%23ffffff-ffffff?style=for-the-badge
[Badge Accent]: https://img.shields.io/badge/%232598e4-2598e4?style=for-the-badge
[Badge Success]: https://img.shields.io/badge/%2342a53b-42a53b?style=for-the-badge
[Badge Warning]: https://img.shields.io/badge/%23f2712c-f2712c?style=for-the-badge
[Badge Error]: https://img.shields.io/badge/%23f03489-f03489?style=for-the-badge